Delete a training checkpoint
DELETE
/v1/training-checkpoints/{checkpointId}curl -X DELETE 'https://api.embodiflow.io/v1/training-checkpoints/{checkpointId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- checkpointIdstring必填
请求头参数
- If-Matchstring
Optional precondition. A matching tag proceeds and returns the new ETag. A stale tag returns 412 PRECONDITION_FAILED with no write. Absent proceeds (opt-in this release). If-Match: * succeeds when the resource exists. Malformed values return 400 IF_MATCH_INVALID.
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- trainingJobIdstring必填
- trainingAttemptIdstring必填
- checkpointKeystring必填
- stepnumber | null必填
- artifactIdstring | null必填
- sizeBytesnumber | null必填
- sha256string | null必填
- statusstring必填
- isFinalone of必填
- excludedPathsarray<string> | null必填
- createdAtstring必填
- deletedAtstring | null必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"trainingJobId": "string",
"trainingAttemptId": "string",
"checkpointKey": "string",
"step": 0,
"artifactId": "string",
"sizeBytes": 0,
"sha256": "string",
"status": "string",
"isFinal": false,
"excludedPaths": [
"string"
],
"createdAt": "string",
"deletedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1